# Description
# debug		0|3		Уровень debug.
# esp		0|1		Блокировка ESP.
# smooth	1|10		Плавность появления игрока.
# smoothout	0|10		Плавность исчезновения игрока.
# smoothent	1|~		Задержка исчезновении ентитей "Block Entities".
# decalfix	0|1		Исправлять баг с отображением декалей выстрелов оружий, также этот фикс блокирует малую часть aimbot.
# antinoflash	0|1		Блокировать игроков при полном ослеплении.
# team		0|1		Блокировать игроков своей команды.
# dying		0|1		Блокировать трупы игроков момент смерти DEAD_DYING, подходит для CSDM с мгновенным возрождением интервалом меньше ~3-х секунд.
# fov		0|1		Проверять угол обзора ( Повышение производительности ).
# solid		0|20		Через скольких прозрачных объектов будет виден игрок или ентити.
# bot		0|1		Поддержка BOT-Игроков.
# hltv		0|1		Поддержка HLTV ( Посылать звук ).
# camera	0|1		Продолжать блокировать игроков находящие вне поле зрения при использовнии камеры.
# barrel	0|1		Проверять видимость ствола у игрока ( Дополнительная проверка ).
# blockent	0|1		Блокировать ентитей "Block Entities".
# method	0|1		Метод определения ID оружия ( 0 - CurWeapon | 1 - CBasePlayerItem ).
# hlfix		0|1		Для HL: Исправлять лазер у оружия Gauss и игнорировать эвент для Gauss и Egon. (Для cs16, czero: квар автоматически выключен - 0)

[General Options]
debug = 0
esp = 1
smooth = 1
smoothout = 1
smoothent = 60
decalfix = 1
antinoflash = 1
team = 0
dying = 0
fov = 1
solid = 1
bot = 0
hltv = 0
camera = 1
barrel = 1
blockent = 0
method = 0
hlfix = 1

# Профессиональная настройка.
# Смещения для координат, проверка 8-ми точек от позиции игрока.

offset_y = { -17.0, -8.5, -8.5, -17.0 }, { 17.0, 8.5, 8.5, 17.0 }
offset_z = { -28.0, -17.0, 17.0, 28.0 }, { -17.0, -8.5, 17.0, 28.0 }

[Block Entities]
grenade
;weaponbox
;hostage_entity
;armoury_entity

[Weapons Barrel]

# -----------
# CS Weapons
# -----------

CSW_P228 = 32.8;
CSW_SCOUT = 38.9;
CSW_HEGRENADE = 0.0;
CSW_XM1014 = 31.2;
CSW_C4 = 0.0;
CSW_MAC10 = 26.0;
CSW_AUG = 32.9;
CSW_SMOKEGRENADE = 0.0;
CSW_ELITE = 23.5;
CSW_FIVESEVEN = 32.7;
CSW_UMP45 = 27.0;
CSW_SG550 = 40.0;
CSW_GALIL = 26.5;
CSW_FAMAS = 32.6;
CSW_USP = 38.9;
CSW_GLOCK18 = 32.6;
CSW_AWP = 39.5;
CSW_MP5NAVY = 30.4;
CSW_M249 = 30.5;
CSW_M3 = 30.1;
CSW_M4A1 = 42.0;
CSW_TMP = 39.2;
CSW_G3SG1 = 42.2;
CSW_FLASHBANG = 0.0;
CSW_DEAGLE = 34.1;
CSW_SG552 = 34.0;
CSW_AK47 = 24.8;
CSW_KNIFE = 0.0;
CSW_P90 = 25.4;

# -----------
# HL Weapons
# -----------

# HLW_CROWBAR = 1.0;
# HLW_GLOCK = 15.0;
# HLW_PYTHON = 25.0;
# HLW_MP5 = 25.0;
# HLW_CROSSBOW = 27.0;
# HLW_SHOTGUN = 28.0;
# HLW_RPG = 35.0;
# HLW_GAUSS = 26.0;
# HLW_EGON = 33.0;
# HLW_HORNETGUN = 30.0;
# HLW_HANDGRENADE = 1.0;
# HLW_TRIPMINE = 1.0;
# HLW_SATCHEL = 25.0;
# HLW_SNARK = 1.0;

# [Other]
# pev = auto		Default: Windows - 4	| Linux - 0
# base = auto		Default: Windows - 0x0	| Linux - 0x94
# playership = auto	Default: Windows - 0x33	| Linux - 0x35